Subject: Re: Re* [PATCH v2] fixup! mergetool: add automerge configuration

From: Seth House <[email-masked]>
Date: Fri, 22 Jan 2021 02:08:56 -0700

On Fri, Jan 22, 2021 at 02:50:17AM +0000, brian m. carlson wrote:
> Can you report this as a bug?  This behavior isn't compliant with POSIX
> and it makes it really hard for folks to write portable code

I finally tracked down what upstream project these packages come from.
I don't use Windows very often and the MSYS2, MinGW, msysgit, & Cygwin
project history and overlap is *complicated* to say the least.

It seems the Git-for-Windows userland comes from both MSYS2 and MinGW
[1]. sed and awk come from MSYS2 and the carriage return conversion is
indeed documented [2].

[1] https://github.com/git-for-windows/build-extra#msys2
[2] https://www.msys2.org/wiki/How-does-MSYS2-differ-from-Cygwin/#runtime

It looks like the auto-CR conversion is well-tread, and well-flamed,
territory. I'd prefer not to reignite that but I filed an issue to start
a discussion. That issue also details the history behind this behavior
for anyone interested:

https://github.com/msys2/MSYS2-packages/issues/2315